Google OAuth
curl --request POST \
--url https://api.example.com/api/v2/auth/google \
--header 'Content-Type: application/json' \
--data '
{
"id_token": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/auth/google"
payload = { "id_token": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({id_token: '<string>'})
};
fetch('https://api.example.com/api/v2/auth/google', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Auth
Google OAuth
Sign in or register with a Google account
POST
/
api
/
v2
/
auth
/
google
Google OAuth
string
required
Google ID token obtained from the Google OAuth flow on your client.
Flow
- Client initiates Google Sign-In and receives an
id_token - Send the
id_tokento this endpoint - Elumenta verifies it with Google, creates or logs in the user
- Returns the same JWT pair as Login
Request
curl -X POST https://elumenta.ru/api/v2/auth/google \
-H "Content-Type: application/json" \
-d '{"id_token": "eyJhbGciOiJSUzI1NiJ9..."}'
Response
{
"access_token": "eyJhbGciOiJIUzI1NiJ9...",
"refresh_token": "eyJhbGciOiJIUzI1NiJ9...",
"token_type": "bearer",
"is_new_user": false,
"user": {
"id": 12345,
"email": "user@gmail.com",
"plan": "free",
"token_balance": 50
}
}
⌘I

